package org.dm.interopTestNWEM;

import java.util.Calendar;

import org.joda.time.MutableDateTime;
import org.joda.time.format.DateTimeFormat;
import org.joda.time.format.DateTimeFormatter;


public class NWEM_Adjustments {
	private String identifier;
	private String startTime;
	private String endTime;
	
	public NWEM_Adjustments(String idLead, Calendar sent_CAL, int duration ){

		//begin new code
		DateTimeFormatter fmt = DateTimeFormat.forPattern("YYYY-MM-dd'T'HH:mm:ssZZ");		
		MutableDateTime dt = new MutableDateTime(sent_CAL);
        startTime=fmt.print(dt);
        identifier=idLead+startTime;
        dt.addMinutes(duration);
        endTime = fmt.print(dt);

			
//Begin old code
//		startTime = ISO8601Conversion.formatISO8601(sent_CAL);
//		identifier = idLead + startTime;
//		sent_CAL.add(Calendar.MINUTE, duration);
//		endTime = ISO8601Conversion.formatISO8601(sent_CAL);
//		
	}
	
	String getIdentifier(){
		return identifier;
	}

	String getStartTime(){
		return startTime;
	}
	
	String getEndTime(){
		return endTime;
	}
	
}
